commit:     c1e52bd149b88f44c093f5fbec4765185aa0357f
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Thu Sep  1 17:10:31 2016 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Thu Sep  1 18:03:35 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c1e52bd1

dev-python/glueviz: version bump

Package-Manager: portage-2.3.0

 dev-python/glueviz/Manifest             |  1 +
 dev-python/glueviz/glueviz-0.8.2.ebuild | 60 +++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/dev-python/glueviz/Manifest b/dev-python/glueviz/Manifest
index 4ef2f6e..b655d12 100644
--- a/dev-python/glueviz/Manifest
+++ b/dev-python/glueviz/Manifest
@@ -1 +1,2 @@
 DIST glueviz-0.8.1.tar.gz 11283626 SHA256 
b7bfd5bfaddb454a233aadbf5f73b98e51b9ba31882a046ac8969ae7c1a19461 SHA512 
99cccd232d38efdce5119051f78c33192a4c1e8482f5545c7714e68680dc20abb36451da5ce79e6402cadb2590762c5811cdd06c18aa3a0b7d6baa7f7f5498af
 WHIRLPOOL 
dfbedfa7bd843e3e69d3a195404d2ecd1b20a4c7908894adfbe123d384c915f4c0efc039e332147d5c4988b193f681e546ae54cb017c8643664911c43564909e
+DIST glueviz-0.8.2.tar.gz 11289722 SHA256 
db07e5c9685feaeba0cb5375602177964b093880b82fc21cf97a9580474eec18 SHA512 
9a05043293531094059265f505d1688b5111a4efe3aa025e18463f347f7209af825325454130cd991c2fcf7ffad26459f58268754e858d40d1f997bd014b101d
 WHIRLPOOL 
7c9fd61494895780e8badae892abb4fa70f590568e30149023d2a2cb6a65e38f2975c6e0b7d87221cb83e45d3df59e5f0c8449766001446eca5332498dbcb12c

diff --git a/dev-python/glueviz/glueviz-0.8.2.ebuild 
b/dev-python/glueviz/glueviz-0.8.2.ebuild
new file mode 100644
index 00000000..f51bd17
--- /dev/null
+++ b/dev-python/glueviz/glueviz-0.8.2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python library to explore relationships within and among related 
datasets"
+HOMEPAGE="http://www.glueviz.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+LICENSE="BSD MIT"
+SLOT="0"
+IUSE="test"
+
+# too much work to fix
+RESTRICT="test"
+
+DOCS=( README.md CHANGES.md )
+
+RDEPEND="
+       dev-python/astropy[${PYTHON_USEDEP}]
+       dev-python/matplotlib[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/pandas[${PYTHON_USEDEP}]
+       || (
+                 dev-python/PyQt4[${PYTHON_USEDEP}]
+                 dev-python/pyside[${PYTHON_USEDEP}]
+                 dev-python/PyQt5[${PYTHON_USEDEP}]
+          )"
+
+DEPEND="${RDEPEND}
+       dev-python/astropy-helpers[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+                 dev-python/mock[${PYTHON_USEDEP}]
+                 dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+       esetup.py test
+}
+
+pkg_postinst() {
+       optfeature "Interactive Ipython terminal" \
+                          dev-python/ipython \
+                          dev-python/ipykernel \
+                          dev-python/qtconsole \
+                          dev-python/traitlets \
+                          dev-python/pygments \
+                          dev-python/zmq
+       optfeature "Parse AVM metadata" dev-python/pyavm
+       optfeature "Save ${PN} sessions" dev-python/dill
+       optfeature "Support HDF5 files" dev-python/h5py
+       optfeature "Image processing calculations" sci-libs/scipy
+       optfeature "Read popular image formats" sci-libs/scikits_image
+       optfeature "Export plots to plot.ly" dev-python/plotly
+}

Reply via email to